## org.hibernate.proxy
Interface HibernateProxy

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Dom4jProxy, MapProxy

    public interface HibernateProxy

extends Serializable

Marker interface for entity proxies

Author:
  Gavin King

Method Summary
`LazyInitializer` `getHibernateLazyInitializer()` Get the underlying lazy initialization handler.
`Object` `writeReplace()` Perform serialization-time write-replacement of this proxy.

Method Detail

### writeReplace

    Object writeReplace()

  Perform serialization-time write-replacement of this proxy.

  Returns:
    The serializable proxy replacement.

### getHibernateLazyInitializer

    LazyInitializer getHibernateLazyInitializer()

  Get the underlying lazy initialization handler.

  Returns:
    The lazy initializer.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.